package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.service.IPetTypeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(description = "宠物类型管理")
@RestController
@RequestMapping("/applet/petType")
public class AppletPetTypeController extends BaseController {

    @Autowired
    private IPetTypeService petTypeService;

    @ApiOperation("宠物类型列表")
    @GetMapping("/list")
    public TableDataInfo list(){
        return getDataTable(petTypeService.getPetTypeList());
    }
}
