package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.service.IShortAnswerQuestionsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api("简答题考核记录表")
@RestController
@RequestMapping("/applet/shortAnswerQuestions")
public class AppletShortAnswerQuestionsController extends BaseController {
    @Autowired
    private IShortAnswerQuestionsService shortAnswerQuestionsService;

    @ApiOperation("查询简答题列表")
    @GetMapping("list")
    public TableDataInfo list(){
        return getDataTable(shortAnswerQuestionsService.getShortAnswerQuestionsList());
    }

}
