package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.service.ITransactionDetailsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api("交易明细记录")
@RestController
@RequestMapping("/applet/transactionDetails")
public class AppletTransactionDetailsController extends BaseController {
    @Autowired
    private ITransactionDetailsService transactionDetailsService;

    @ApiOperation("交易明细记录列表")
    @GetMapping("/list")
    public TableDataInfo list(){
        return getDataTable(transactionDetailsService.getTransactionDetailsList());
    }
}
