package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.service.IWithdrawalConfigService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api("钱包提现配置")
@RestController
@RequestMapping("/applet/withdrawalConfig")
public class AppletWithdrawalConfigController extends BaseController {
    @Autowired
    private IWithdrawalConfigService withdrawalConfigService;

    @ApiOperation("钱包提现配置列表")
    @GetMapping("/list")
    public TableDataInfo list(){
        return getDataTable(withdrawalConfigService.getWithdrawalConfigList());
    }
}
